# DaprProtos.InvokeServiceRequest.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.InvokeServiceRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>
      - - io.dapr.v1.DaprProtos.InvokeServiceRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.InvokeServiceRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.InvokeServiceRequest

    public static final class DaprProtos.InvokeServiceRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>
    implements DaprProtos.InvokeServiceRequestOrBuilder

     InvokeServiceRequest represents the request message for Service invocation.

Protobuf type `dapr.proto.runtime.v1.InvokeServiceRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.InvokeServiceRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.InvokeServiceRequest` `build()`
`DaprProtos.InvokeServiceRequest` `buildPartial()`
`DaprProtos.InvokeServiceRequest.Builder` `clear()`
`DaprProtos.InvokeServiceRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.InvokeServiceRequest.Builder` `clearId()` Required.
`DaprProtos.InvokeServiceRequest.Builder` `clearMessage()` Required.
`DaprProtos.InvokeServiceRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.InvokeServiceRequest.Builder` `clone()`
`DaprProtos.InvokeServiceRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getId()` Required.
`com.google.protobuf.ByteString` `getIdBytes()` Required.
`CommonProtos.InvokeRequest` `getMessage()` Required.
`CommonProtos.InvokeRequest.Builder` `getMessageBuilder()` Required.
`CommonProtos.InvokeRequestOrBuilder` `getMessageOrBuilder()` Required.
`boolean` `hasMessage()` Required.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.InvokeServiceRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.InvokeServiceRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.InvokeServiceRequest.Builder` `mergeFrom​(DaprProtos.InvokeServiceRequest other)`
`DaprProtos.InvokeServiceRequest.Builder` `mergeMessage​(CommonProtos.InvokeRequest value)` Required.
`DaprProtos.InvokeServiceRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.InvokeServiceRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.InvokeServiceRequest.Builder` `setId​(String value)` Required.
`DaprProtos.InvokeServiceRequest.Builder` `setIdBytes​(com.google.protobuf.ByteString value)` Required.
`DaprProtos.InvokeServiceRequest.Builder` `setMessage​(CommonProtos.InvokeRequest value)` Required.
`DaprProtos.InvokeServiceRequest.Builder` `setMessage​(CommonProtos.InvokeRequest.Builder builderForValue)` Required.
`DaprProtos.InvokeServiceRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.InvokeServiceRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### clear

    public DaprProtos.InvokeServiceRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.InvokeServiceRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.InvokeServiceRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.InvokeServiceRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.InvokeServiceRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### setField

    public DaprProtos.InvokeServiceRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                            Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### clearField

    public DaprProtos.InvokeServiceRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### clearOneof

    public DaprProtos.InvokeServiceRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### setRepeatedField

    public DaprProtos.InvokeServiceRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    int index,
                                                                    Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### addRepeatedField

    public DaprProtos.InvokeServiceRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                    Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### mergeFrom

    public DaprProtos.InvokeServiceRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### mergeFrom

    public DaprProtos.InvokeServiceRequest.Builder mergeFrom​(DaprProtos.InvokeServiceRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### mergeFrom

    public DaprProtos.InvokeServiceRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.InvokeServiceRequest.Builder>`
Throws:
  `IOException`

#### getId

    public String getId()

     Required. Callee's app id.

`string id = 1;`

Specified by:
  `getId` in interface `DaprProtos.InvokeServiceRequestOrBuilder`
Returns:
  The id.

#### getIdBytes

    public com.google.protobuf.ByteString getIdBytes()

     Required. Callee's app id.

`string id = 1;`

Specified by:
  `getIdBytes` in interface `DaprProtos.InvokeServiceRequestOrBuilder`
Returns:
  The bytes for id.

#### setId

    public DaprProtos.InvokeServiceRequest.Builder setId​(String value)

     Required. Callee's app id.

`string id = 1;`

Parameters:
  `value` - The id to set.
Returns:
  This builder for chaining.

#### clearId

    public DaprProtos.InvokeServiceRequest.Builder clearId()

     Required. Callee's app id.

`string id = 1;`

Returns:
  This builder for chaining.

#### setIdBytes

    public DaprProtos.InvokeServiceRequest.Builder setIdBytes​(com.google.protobuf.ByteString value)

     Required. Callee's app id.

`string id = 1;`

Parameters:
  `value` - The bytes for id to set.
Returns:
  This builder for chaining.

#### hasMessage

    public boolean hasMessage()

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`

Specified by:
  `hasMessage` in interface `DaprProtos.InvokeServiceRequestOrBuilder`
Returns:
  Whether the message field is set.

#### getMessage

    public CommonProtos.InvokeRequest getMessage()

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`

Specified by:
  `getMessage` in interface `DaprProtos.InvokeServiceRequestOrBuilder`
Returns:
  The message.

#### setMessage

    public DaprProtos.InvokeServiceRequest.Builder setMessage​(CommonProtos.InvokeRequest value)

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`

#### setMessage

    public DaprProtos.InvokeServiceRequest.Builder setMessage​(CommonProtos.InvokeRequest.Builder builderForValue)

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`

#### mergeMessage

    public DaprProtos.InvokeServiceRequest.Builder mergeMessage​(CommonProtos.InvokeRequest value)

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`

#### clearMessage

    public DaprProtos.InvokeServiceRequest.Builder clearMessage()

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`

#### getMessageBuilder

    public CommonProtos.InvokeRequest.Builder getMessageBuilder()

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`

#### getMessageOrBuilder

    public CommonProtos.InvokeRequestOrBuilder getMessageOrBuilder()

     Required. message which will be delivered to callee.

`.dapr.proto.common.v1.InvokeRequest message = 3;`

Specified by:
  `getMessageOrBuilder` in interface `DaprProtos.InvokeServiceRequestOrBuilder`

#### setUnknownFields

    public final DaprProtos.InvokeServiceRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`

#### mergeUnknownFields

    public final DaprProtos.InvokeServiceRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.InvokeServiceRequest.Builder>`